### Virtual Method

# Atspi Device map_keysym_modifier

since: 2.55

#### Declaration [src]

    guint
    map_keysym_modifier (
      AtspiDevice* device,
      guint keysym
    )

#### Description [src]

Maps the specified keysym to a modifier so that it can be used in conjunction with other keys to create a key grab. If the given keysym is already mapped, then this function will return the modifier that is currently mapped to the keysym, without doing anything else. Otherwise, it will use the last modifier that AT-SPI used to map a keysym. If no keys have yet been mapped using this device, then it will look for a modifier that is not currently being used. If no unused modifier can be found, then it will use the first modifier by default.

Available since: 2.55

#### Parameters

`keysym`

  Type: `guint`

  The XKB keysym to map.

#### Return value

Type: `guint`

The modifier that is now mapped to this keysym. This return value can be passed to atspi_device_add_key_grab.